Bug 72715 - GDM shows entries of not installed desktop environments
Summary: GDM shows entries of not installed desktop environments
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gdm   
(Show other bugs)
Version: null
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-08-26 21:55 UTC by Peter van Egdom
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 18:40:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GDM offering GNOME (143.26 KB, image/png)
2002-08-26 21:56 UTC, Peter van Egdom
no flags Details
The error that appears later (30.98 KB, image/png)
2002-08-26 21:57 UTC, Peter van Egdom
no flags Details

Description Peter van Egdom 2002-08-26 21:55:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) Gecko/20020814

Description of problem:

I installed Red Hat Linux 'null' from scratch on a machine.

I selected only the KDE desktop environment, but GDM lets me choose also
for the GNOME desktop environment in the 'sessions' option.

When selecting GNOME and logging in, GDM (will .. ofcourse) gives an error.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install 'null' on a fresh machine.
2. Install only KDE.
3.
	

Actual Results:  GDM lets you select GNOME from the menu

Expected Results:  GDM should only offer those desktop environments installed.

Additional info:

gdm-2.4.0.7-3

Comment 1 Peter van Egdom 2002-08-26 21:56:27 UTC
Created attachment 73206 [details]
GDM offering GNOME

Comment 2 Peter van Egdom 2002-08-26 21:57:27 UTC
Created attachment 73207 [details]
The error that appears later

Comment 3 Havoc Pennington 2002-08-27 21:17:10 UTC
Should move the "GNOME" script from the gdm package to the gnome-session package
and be sure gnome-session conflicts with older versions of gdm.

Comment 4 Havoc Pennington 2002-08-28 18:40:47 UTC
should be fixed with gdm-2.4.0.7-7 and gnome-session-2.0.5-6

Comment 5 Jay Turner 2002-09-04 16:50:13 UTC
Fix confirmed with gdm-2.4.0.7-11.


Note You need to log in before you can comment on or make changes to this bug.